Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.portal
Class PortalDropZone

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop
              com.gwtext.client.dd.DDTarget
                  com.gwtext.client.dd.DropTarget
                      com.gwtext.client.widgets.portal.PortalDropZone

    public class PortalDropZone

extends DropTarget

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`PortalDropZone(Portal portal, DropTargetConfig config)`

Method Summary
`boolean` | `notifyDrop(DragSource source, EventObject e, DragData data)` The function `DragSource` calls once to notify this drop target that the dragged item has been dropped on it.
`void` | `notifyOut(DragSource source, EventObject e, DragData data)` The function a Ext.dd.DragSource calls once to notify this drop target that the source has been dragged out of the target without dropping.
`java.lang.String` | `notifyOver(DragSource source, EventObject e, DragData data)`

Methods inherited from class com.gwtext.client.dd.DropTarget
`create, create, notifyEnter`

Methods inherited from class com.gwtext.client.dd.DragDrop
`addInvalidHandleClass, addInvalidHandleId, addInvalidHandleType, addToGroup, applyConfig, clearConstraints, clearTicks, endDrag, getDragEl, getEl, getGroups, getId, getInvalidHandleClasses, getInvalidHandleTypes, getPadding, getXTicks, getYTicks, hasOuterHandles, init, initTarget, isAvailable, isLocked, isMaintainOffset, isPrimaryButtonOnly, isTarget, isValidHandleChild, lock, onAvailable, onDrag, onDragDrop, onDragDrop, onDragEnter, onDragEnter, onDragOut, onDragOut, onDragOver, onDragOver, onInvalidDrop, onMouseDown, onMouseUp, removeFromGroup, removeInvalidHandleClass, removeInvalidHandleId, removeInvalidHandleType, resetConstraints, setDragElId, setHandleElId, setOuterHandleElId, setPadding, setXConstraint, setYConstraint, startDrag, toString, unlock, unreg`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalDropZone

    public PortalDropZone(Portal portal,
                          DropTargetConfig config)

Method Detail

### notifyOver

    public java.lang.String notifyOver(DragSource source,
                                       EventObject e,
                                       DragData data)

  Overrides:
    `notifyOver` in class `DropTarget`

### notifyOut

    public void notifyOut(DragSource source,
                          EventObject e,
                          DragData data)

  Description copied from class: `DropTarget`
  The function a Ext.dd.DragSource calls once to notify this drop target that the source has been dragged out of the target without dropping. This default implementation simply removes the CSS class specified by overClass (if any) from the drop element.

  Overrides:
    `notifyOut` in class `DropTarget`

### notifyDrop

    public boolean notifyDrop(DragSource source,
                              EventObject e,
                              DragData data)

  Description copied from class: `DropTarget`
  The function `DragSource` calls once to notify this drop target that the dragged item has been dropped on it. This method has no default implementation and returns false, so you must provide an implementation that does something to process the drop event and returns true so that the drag source's repair action does not run.

  Overrides:
    `notifyDrop` in class `DropTarget`
  Parameters:
    `source` - the drag source
    `e` - the event object
    `data` - an object containing arbitrary data supplied by the drag source
  Returns:
    true if the drop was valid, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD